{
  `$setlimit' doesn't work as a compiler directive
  `set of integer(42)' doesn't compile
}

program fjf215;
{$setlimit=131072}
var
  a:set of shortint;
  b:set of integer(17);
begin
  if (bitsizeof(a) = 1 shl bitsizeof(shortint)) and
     (bitsizeof(b) = 131072)
    then writeln ('OK')
    else writeln ('Failed: ', bitsizeof(a), ' ', bitsizeof(b))
end.
